yast2-ncurses: NCTableLine Class Reference

Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members

# NCTableLine Class Reference

`#include <NCTableItem.h>`

Inheritance diagram for NCTableLine:

List of all members.

## Public Types
enum | STATE { S_NORMAL = 0x00, S_ACTIVE = 0x01, S_DISABELED = 0x10, S_HIDDEN = 0x20, S_HEADLINE = 0x40 }
## Public Member Functions
| NCTableLine (unsigned cols, const unsigned s=S_NORMAL)
| NCTableLine (vector< NCTableCol * > &nItems, const unsigned s=S_NORMAL)
virtual | ~NCTableLine ()
unsigned | Cols () const
void | SetCols (unsigned idx)
void | SetCols (vector< NCTableCol * > &nItems)
void | ClearLine ()
vector< NCTableCol * > | GetItems () const
void | Append (NCTableCol *item)
void | AddCol (unsigned idx, NCTableCol *item)
void | DelCol (unsigned idx)
NCTableCol * | GetCol (unsigned idx)
const NCTableCol * | GetCol (unsigned idx) const
void | SetState (const STATE s)
void | ClearState (const STATE s)
bool | isHidden () const
bool | isDisabeled () const
bool | isSpecial () const
bool | isActive () const
virtual bool | isVisible () const
virtual bool | isEnabeled () const
virtual int | handleInput (wint_t key)
virtual int | ChangeToVisible ()
virtual unsigned | Hotspot (unsigned &at) const
virtual void | UpdateFormat (NCTableStyle &TableStyle)
virtual void | DrawAt (NCursesWindow &w, const wrect at, NCTableStyle &tableStyle, bool active) const
void | stripHotkeys ()
## Protected Member Functions
virtual void | DrawItems (NCursesWindow &w, const wrect at, NCTableStyle &tableStyle, bool active) const
## Protected Attributes
STATE | vstate
## Private Member Functions
NCTableLine & | operator= (const NCTableLine &)
| NCTableLine (const NCTableLine &)
void | assertCol (unsigned idx)
## Private Attributes
vector< NCTableCol * > | Items
unsigned | state
## Friends
std::ostream & | operator<< (std::ostream &STREAM, const NCTableLine &OBJ)

## Member Enumeration Documentation

enum NCTableLine::STATE

  | Enumeration values:
  S_NORMAL |
  S_ACTIVE |
  S_DISABELED |
  S_HIDDEN |
  S_HEADLINE |

## Constructor & Destructor Documentation

NCTableLine::NCTableLine | ( | const NCTableLine & |  | ) | `[private]`

NCTableLine::NCTableLine | ( | unsigned | cols,
|  | const unsigned | s = `S_NORMAL`
| ) |

NCTableLine::NCTableLine | ( | vector< NCTableCol * > & | nItems,
|  | const unsigned | s = `S_NORMAL`
| ) |

NCTableLine::~NCTableLine | ( |  | ) | `[virtual]`

## Member Function Documentation

void NCTableLine::AddCol | ( | unsigned | idx,
|  | NCTableCol * | item
| ) |

void NCTableLine::Append | ( | NCTableCol * | item | ) | `[inline]`

void NCTableLine::assertCol | ( | unsigned | idx | ) | `[private]`

virtual int NCTableLine::ChangeToVisible | ( |  | ) | `[inline, virtual]`

| Reimplemented in NCTreeLine.

void NCTableLine::ClearLine | ( |  | ) | `[inline]`

void NCTableLine::ClearState | ( | const STATE | s | ) | `[inline]`

unsigned NCTableLine::Cols | ( |  | ) | const`[inline]`

void NCTableLine::DelCol | ( | unsigned | idx | ) |

void NCTableLine::DrawAt | ( | NCursesWindow & | w,
|  | const wrect | at,
|  | NCTableStyle & | tableStyle,
|  | bool | active
| ) | const`[virtual]`

| Reimplemented in NCTableHead, and NCTreeLine.

void NCTableLine::DrawItems | ( | NCursesWindow & | w,
|  | const wrect | at,
|  | NCTableStyle & | tableStyle,
|  | bool | active
| ) | const`[protected, virtual]`

const NCTableCol* NCTableLine::GetCol | ( | unsigned | idx | ) | const`[inline]`

NCTableCol * NCTableLine::GetCol | ( | unsigned | idx | ) |

vector<NCTableCol*> NCTableLine::GetItems | ( |  | ) | const`[inline]`

virtual int NCTableLine::handleInput | ( | wint_t | key | ) | `[inline, virtual]`

| Reimplemented in NCTreeLine.

virtual unsigned NCTableLine::Hotspot | ( | unsigned & | at | ) | const`[inline, virtual]`

| Reimplemented in NCTreeLine.

bool NCTableLine::isActive | ( |  | ) | const`[inline]`

bool NCTableLine::isDisabeled | ( |  | ) | const`[inline]`

virtual bool NCTableLine::isEnabeled | ( |  | ) | const`[inline, virtual]`

bool NCTableLine::isHidden | ( |  | ) | const`[inline]`

bool NCTableLine::isSpecial | ( |  | ) | const`[inline]`

virtual bool NCTableLine::isVisible | ( |  | ) | const`[inline, virtual]`

| Reimplemented in NCTreeLine.

NCTableLine& NCTableLine::operator= | ( | const NCTableLine & |  | ) | `[private]`

void NCTableLine::SetCols | ( | vector< NCTableCol * > & | nItems | ) |

void NCTableLine::SetCols | ( | unsigned | idx | ) |

void NCTableLine::SetState | ( | const STATE | s | ) | `[inline]`

void NCTableLine::stripHotkeys | ( |  | ) |

void NCTableLine::UpdateFormat | ( | NCTableStyle & | TableStyle | ) | `[virtual]`

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | STREAM,
|  | const NCTableLine & | OBJ
| ) | `[friend]`

## Member Data Documentation

vector<NCTableCol*> NCTableLine::Items`[private]`

unsigned NCTableLine::state`[private]`

STATE NCTableLine::vstate`[mutable, protected]`

The documentation for this class was generated from the following files:

- NCTableItem.h
- NCTableItem.cc